using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.ItemSystem
{
    public class NullItemDefinitions : ItemDefinitions
    {
        public new ItemDefinitionlike GetItemDefinition(string name)
        {
            throw new ArgumentException("An item definition with name: " + name + " does not exist.");
        }
    }
}
